Skip to content
Snippets Groups Projects
Commit 37c1bc19 authored by Jan Alexander Steffens (heftig)'s avatar Jan Alexander Steffens (heftig)
Browse files

Prepare symbol uploading

parent c7f77cc2
No related branches found
No related tags found
No related merge requests found
......@@ -112,11 +112,13 @@ build() {
#xvfb-run -a -n 95 -s "-extension GLX -screen 0 1280x1024x24" \
# make -f client.mk build MOZ_PGO=1
make -f client.mk build
MOZ_SOURCE_REPO="$_repo" ./mach buildsymbols
}
package() {
cd mozilla-unified
make -f client.mk DESTDIR="$pkgdir" INSTALL_SDK= install
find . -name '*crashreporter-symbols-full.zip' -exec cp -fvt "$startdir" {} +
_vendorjs="$pkgdir/usr/lib/$pkgname/browser/defaults/preferences/vendor.js"
install -Dm644 /dev/stdin "$_vendorjs" <<END
......
#!/bin/bash -e
die() {
echo >&2 "$@"
exit 1
}
(( $# == 2 )) || die "Usage: $0 TOKEN-FILE SYMBOL-ARCHIVE"
[[ -f $1 && -s $1 ]] || die "Invalid TOKEN-FILE ${1@Q}"
[[ $(file -Ebi "$2") == application/zip* ]] || die "Invalid SYMBOL-ARCHIVE ${2@Q}"
echo >&2 "Uploading ${2@Q} ..."
exec curl -X POST -H "Auth-Token: $(<"$1")" --data-binary "@$2" \
https://crash-stats.mozilla.com/symbols/upload
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment